Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iserve.ipc
Class MessageWrapper

    java.lang.Object
      ix.icore.AbstractAnnotatedObject
          ix.iserve.ipc.MessageWrapper

All Implemented Interfaces:
  Annotated, java.io.Serializable

    public class MessageWrapper

extends AbstractAnnotatedObject
implements java.io.Serializable

Wrapper for messages sent via an `IServeCommStrategy`.

See Also:
  Serialized Form

Field Summary
`(package private) java.lang.String` | `command`
`(package private) java.lang.Object` | `contents`
`(package private) java.lang.String` | `from`
`(package private) java.lang.String` | `password`
`(package private) java.lang.String` | `remoteAddr`
`(package private) java.lang.String` | `remoteHost`
`(package private) java.util.Date` | `sendDate`
`(package private) java.lang.Integer` | `sequenceNumber`
`(package private) java.lang.String` | `to`
`(package private) java.lang.String` | `uuid`

Fields inherited from class ix.icore.AbstractAnnotatedObject
`annotationListeners, annotations`

Constructor Summary
`MessageWrapper()`

Method Summary
`java.lang.String` | `getCommand()`
`java.lang.Object` | `getContents()`
`java.lang.String` | `getFrom()`
`java.lang.String` | `getPassword()`
`java.lang.String` | `getRemoteAddr()`
`java.lang.String` | `getRemoteHost()`
`java.util.Date` | `getSendDate()`
`int` | `getSeqNo()`
`java.lang.Integer` | `getSequenceNumber()`
`java.lang.String` | `getTo()`
`java.lang.String` | `getUuid()`
`java.lang.String` | `getUUID()`
`static MessageWrapper` | `makeGetNextMessage(java.lang.String from)`
`static MessageWrapper` | `makeRegister(java.lang.String from, java.lang.String password)`
`static MessageWrapper` | `makeSend(java.lang.String from, java.lang.String to, java.lang.Object contents)`
`void` | `setCommand(IServeCommServer.Command command)`
`void` | `setCommand(java.lang.String command)`
`void` | `setContents(java.lang.Object contents)`
`void` | `setFrom(java.lang.String from)`
`void` | `setPassword(java.lang.String pwd)`
`void` | `setRemoteAddr(java.lang.String remoteAddr)`
`void` | `setRemoteHost(java.lang.String remoteHost)`
`void` | `setSendDate(java.util.Date sendDate)`
`void` | `setSeqNo(int i)`
`void` | `setSequenceNumber(java.lang.Integer s)`
`void` | `setTo(java.lang.String to)`
`void` | `setUuid(java.lang.String uuid)`
`void` | `setUUID(java.lang.String uuid)`

Methods inherited from class ix.icore.AbstractAnnotatedObject
`addAnnotationListener, annMap, clearAnnotations, fireSetAnnotation, getAnnotation, getAnnotations, getComments, makeAnnMap, removeAnnotation, setAnnotation, setAnnotations, setComments, takeAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### from

    java.lang.String from

### command

    java.lang.String command

### to

    java.lang.String to

### uuid

    java.lang.String uuid

### password

    java.lang.String password

### contents

    java.lang.Object contents

### sendDate

    java.util.Date sendDate

### sequenceNumber

    java.lang.Integer sequenceNumber

### remoteHost

    java.lang.String remoteHost

### remoteAddr

    java.lang.String remoteAddr

Constructor Detail

### MessageWrapper

    public MessageWrapper()

Method Detail

### makeSend

    public static MessageWrapper makeSend(java.lang.String from,
                                          java.lang.String to,
                                          java.lang.Object contents)

### makeRegister

    public static MessageWrapper makeRegister(java.lang.String from,
                                              java.lang.String password)

### makeGetNextMessage

    public static MessageWrapper makeGetNextMessage(java.lang.String from)

### getFrom

    public java.lang.String getFrom()

### setFrom

    public void setFrom(java.lang.String from)

### getUUID

    public java.lang.String getUUID()

### setUUID

    public void setUUID(java.lang.String uuid)

### getUuid

    public java.lang.String getUuid()

### setUuid

    public void setUuid(java.lang.String uuid)

### getCommand

    public java.lang.String getCommand()

### setCommand

    public void setCommand(java.lang.String command)

### setCommand

    public void setCommand(IServeCommServer.Command command)

### getTo

    public java.lang.String getTo()

### setTo

    public void setTo(java.lang.String to)

### getPassword

    public java.lang.String getPassword()

### setPassword

    public void setPassword(java.lang.String pwd)

### getContents

    public java.lang.Object getContents()

### setContents

    public void setContents(java.lang.Object contents)

### getSendDate

    public java.util.Date getSendDate()

### setSendDate

    public void setSendDate(java.util.Date sendDate)

### getSequenceNumber

    public java.lang.Integer getSequenceNumber()

### setSequenceNumber

    public void setSequenceNumber(java.lang.Integer s)

### getSeqNo

    public int getSeqNo()

### setSeqNo

    public void setSeqNo(int i)

### getRemoteHost

    public java.lang.String getRemoteHost()

### setRemoteHost

    public void setRemoteHost(java.lang.String remoteHost)

### getRemoteAddr

    public java.lang.String getRemoteAddr()

### setRemoteAddr

    public void setRemoteAddr(java.lang.String remoteAddr)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD